using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.BD
{
    [Description("资源图片文件")]
    public class T_BD_PICTURE_FILE : MesEntityBase
    {
        [DataFieldForeignKey("Nav_Picture", "Nav_PictureFiles")]
        [Description("资源图片ID")]
        public Guid PICTURE_ID { get; set; }
        [DataFieldForeignKey("Nav_ImgFile")]

        [Description("图片文件ID")]
        public Guid IMG_FILE_ID { get; set; }

        [DataFieldLength(50)]
        [Description("图片名称")]
        public string NAME { get; set; }

        [DataFieldLength(300)]
        [Description("图片文件路径")]
        public string IMG_FILE_PATH { get; set; }

        [Description("导航属性")]
        public virtual T_BD_PICTURE Nav_Picture { get; set; }

        [Description("导航属性")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }

        [Description("源ID")]
        public Guid? SRC_ID { get; set; }
    }
}
